[phpBB Debug] PHP Notice: in file /viewtopic.php on line 945: date(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected 'Europe/Helsinki' for 'EEST/3.0/DST' instead
[phpBB Debug] PHP Notice: in file /viewtopic.php on line 945: getdate(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected 'Europe/Helsinki' for 'EEST/3.0/DST' instead
BREN forums • View topic - FreeBSD:: portupgrade -Rv wordpress-mu

FreeBSD:: portupgrade -Rv wordpress-mu

FreeBSD, Dragonfly BSD, NetBSD, OpenBSD

FreeBSD:: portupgrade -Rv wordpress-mu

Postby atanas » 15 Jul 2009, 08:22

Току що обнових чрез portupgrade порта wordpress-mu. Процедурата мина успешно, с малки забележки и питанки.

Code: Select all
portupgrade -Rv wordpress-mu

Code: Select all
--->  Session started at: Wed, 15 Jul 2009 08:51:12 +0300
[Gathering depends for www/wordpress-mu ............................................ done]
[Exclude up-to-date packages .................... done]
--->  Upgrade of www/wordpress-mu started at: Wed, 15 Jul 2009 08:51:15 +0300
--->  Upgrading 'wordpress-mu-2.7.1_1,2' to 'wordpress-mu-2.8.1,2' (www/wordpress-mu)
--->  Build of www/wordpress-mu started at: Wed, 15 Jul 2009 08:51:15 +0300
--->  Building '/usr/ports/www/wordpress-mu'
===>  Cleaning for wordpress-mu-2.8.1,2
===>  Extracting for wordpress-mu-2.8.1,2
=> MD5 Checksum mismatch for latest.tar.gz.
=> SHA256 Checksum mismatch for latest.tar.gz.
===>  Refetch for 1 more times files: latest.tar.gz latest.tar.gz
=> latest.tar.gz doesn't seem to exist in /usr/ports/distfiles/.
=> Attempting to fetch from http://mu.wordpress.org/.
fetch: http://mu.wordpress.org/latest.tar.gz: size unknown
fetch: http://mu.wordpress.org/latest.tar.gz: size of remote file is not known
latest.tar.gz                                         2132 kB  305 kBps
=> MD5 Checksum OK for latest.tar.gz.
=> SHA256 Checksum OK for latest.tar.gz.
===>  Patching for wordpress-mu-2.8.1,2
===>  Configuring for wordpress-mu-2.8.1,2
--->  Build of www/wordpress-mu ended at: Wed, 15 Jul 2009 08:51:26 +0300 (consumed 00:00:11)
--->  Updating dependency info
--->  Uninstallation of wordpress-mu-2.7.1_1,2 started at: Wed, 15 Jul 2009 08:51:26 +0300
--->  Fixing up dependencies before creating a package
--->  Backing up the old version

до тук добре...

Code: Select all
tar: www/wordpress-mu/wp-content/plugins/readme.txt: Cannot stat: No such file or directory
tar: Error exit delayed from previous errors.
pkg_create: make_dist: tar command failed with code 256
--->  Uninstalling the old version
--->  Deinstalling 'wordpress-mu-2.7.1_1,2'
pkg_delete: '/usr/local/www/wordpress-mu/wp-admin/images/logo-login.gif' fails original MD5 checksum - deleted anyway.
pkg_delete: file '/usr/local/www/wordpress-mu/wp-content/plugins/readme.txt' doesn't exist
pkg_delete: '/usr/local/www/wordpress-mu/wp-content/themes/home/footer.php' fails original MD5 checksum - deleted anyway.
pkg_delete: '/usr/local/www/wordpress-mu/wp-content/themes/home/home.php' fails original MD5 checksum - deleted anyway.
pkg_delete: unable to completely remove directory '/usr/local/www/wordpress-mu/wp-content/themes'
pkg_delete: unable to completely remove directory '/usr/local/www/wordpress-mu/wp-content/plugins'
pkg_delete: unable to completely remove directory '/usr/local/www/wordpress-mu/wp-content'
pkg_delete: unable to completely remove directory '/usr/local/www/wordpress-mu/wp-admin/images'
pkg_delete: unable to completely remove directory '/usr/local/www/wordpress-mu/wp-admin'
pkg_delete: unable to completely remove directory '/usr/local/www/wordpress-mu'
pkg_delete: couldn't entirely delete package (perhaps the packing list is incorrectly specified?)

Тук не е честно да ми казва "fails original MD5 checksum - deleted anyway", именно защото редактирането на тази home тема учтиво ме подканяше да направя:
Edit this file at wp-content/themes/home/home.php with your favourite text editor and customize this screen.

После нещата продължават така:

Code: Select all
[Updating the pkgdb <format:bdb_btree> in /var/db/pkg ... - 117 packages found (-1 +0) (...) done]
--->  Uninstallation of wordpress-mu-2.7.1_1,2 ended at: Wed, 15 Jul 2009 08:51:33 +0300 (consumed 00:00:06)
--->  Installation of www/wordpress-mu started at: Wed, 15 Jul 2009 08:51:33 +0300
--->  Installing the new version via the port
===>  Installing for wordpress-mu-2.8.1,2
===>   wordpress-mu-2.8.1,2 depends on file: /usr/local/include/php/main/php.h - found
===>   wordpress-mu-2.8.1,2 depends on file: /usr/local/lib/php/20060613/mysql.so - found
===>   wordpress-mu-2.8.1,2 depends on file: /usr/local/lib/php/20060613/pcre.so - found
===>   wordpress-mu-2.8.1,2 depends on file: /usr/local/lib/php/20060613/xml.so - found
===>   Generating temporary packing list
===>  Checking if www/wordpress-mu already installed

                  **** NOTE ****
        Before the first use of WordPress MU, copy wp-config-sample.php to wp-config.php
        in /usr/local/www/wordpress-mu .
        And Modify it to fit your MySQL.
        Maybe you need 'mysqladmin create wordpressmu' first
===>   Registering installation for wordpress-mu-2.8.1,2
===>  Cleaning for wordpress-mu-2.8.1,2
--->  Removing temporary files and directories
--->  Removing old package'
--->  Installation of www/wordpress-mu ended at: Wed, 15 Jul 2009 08:51:40 +0300 (consumed 00:00:07)
--->  Cleaning out obsolete shared libraries
[Updating the pkgdb <format:bdb_btree> in /var/db/pkg ... - 118 packages found (-0 +1) . done]
--->  Upgrade of www/wordpress-mu ended at: Wed, 15 Jul 2009 08:51:43 +0300 (consumed 00:00:27)
--->  ** Upgrade tasks 1: 1 done, 0 ignored, 0 skipped and 0 failed
--->  Listing the results (+:done / -:ignored / *:skipped / !:failed)
        + www/wordpress-mu (wordpress-mu-2.7.1_1,2)
--->  Packages processed: 1 done, 0 ignored, 0 skipped and 0 failed
--->  Session ended at: Wed, 15 Jul 2009 08:51:44 +0300 (consumed 00:00:31)


Всички останали неща, добавяни допълнително от мен като теми, плъгини и промени са запазени и работят коректно. Странно защо обаче, продължава да казва
WordPress MU 2.8.1 is available! Please update.

а най-долу пък
Thank you for creating with WordPress MU 2.8.1 | Documentation ... Get Version 2.8.1


Изобщо има си мистерии. Лъчо, вероятно скоро ще правиш тази процедура и бих се радвал да споделиш опит. Препоръчвам ти обаче да ползваш опцията -b на portupgrade за всеки случай. Аз сглупих в това отнощение.
AE51 2A62 FCBE 5E15 C19F 56CD ECC5 2186 0455 9912
User avatar
atanas
Global Moderator
 
Posts: 191
Joined: 17 Feb 2009, 00:34
Location: Plovdiv

Re: FreeBSD:: portupgrade -Rv wordpress-mu

Postby atanas » 21 Jul 2009, 16:14

AE51 2A62 FCBE 5E15 C19F 56CD ECC5 2186 0455 9912
User avatar
atanas
Global Moderator
 
Posts: 191
Joined: 17 Feb 2009, 00:34
Location: Plovdiv

Re: FreeBSD:: portupgrade -Rv wordpress-mu

Postby atanas » 22 Jul 2009, 09:26

Обновяванията тази сутрин на wordpress-mu 2.8.1 до 2.8.2 преминаха успешно.
wordpress-mu-2.8.1,2 < needs updating (port has 2.8.2,2)

Бъга от предишния пост е оправен.
AE51 2A62 FCBE 5E15 C19F 56CD ECC5 2186 0455 9912
User avatar
atanas
Global Moderator
 
Posts: 191
Joined: 17 Feb 2009, 00:34
Location: Plovdiv


Return to *BSD операционни системи

Who is online

Users browsing this forum: No registered users and 1 guest

cron